Subject: Re: [bug#34486] [PATCH 0/1] Add '--inherit' to 'guix environment'

From: Ludovic Courtès <[email-masked]>
Date: Mon, 04 Mar 2019 12:14:58 +0100

Ricardo Wurmus <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Hi!
>>
>> Ricardo Wurmus <[email-masked]> skribis:
>>
>>> Eric Bavier <[email-masked]> writes:
>>>> I wonder if the word "inherit" here might be too easily confused with
>>>> the idea of package inheritance.  Could we possibly use an option name
>>>> that is familiar?  Of-hand I'm thinking of sudo's '-E' and
>>>> '--preserve-env'.  SLURM itself uses '--export'.  Both of these tools
>>>> requires passing a list of individual environment variables, but
>>>> supporting regexp-matching makes sense to me, especially with the SLURM
>>>> use-case in mind.
>>>
>>> I think “export” is a worse name, especially in combination with “guix
>>> environment”, which sounds like the Guix environment is to be exported.
>>>
>>> “preserve” sounds good to me, but it’s also a character longer than
>>> “inherit” ;)
>>>
>>> I’m not a big fan of “inherit” because to me it seems to imply that the
>>> existing environment is to be inherited fully, while the actual intent
>>> is to keep only the selected variables.
>>>
>>> “keep” or “allow” sound also good to me.
>>
>> So, what about adding ‘--preserve’ (or ‘--keep’? I slightly prefer
>> “preserve”) and keeping ‘--inherit’ as a deprecated alias?
>
> Sounds good to me, though in my opinion “--inherit” hasn’t been around
> long enough to warrant deprecation.

Well, it’s safer and doesn’t cost much to deprecate it properly.

>> We could perhaps add ‘-E’ as well, reclaiming the long-deprecated
>> ‘--exec’, WDYT?
>
> --preserve/-E would be equivalent?

Yes.

Thanks,
Ludo’.